<?php

declare(strict_types=1);

namespace Gls\GlsPoland\AdePlus\ParcelShop;

final class CParcelShop2Payment implements \JsonSerializable
{
    /**
     * @var string
     */
    private $type;

    public function getType(): string
    {
        return $this->type;
    }

    public function withType(string $type): CParcelShop2Payment
    {
        $new = clone $this;
        $new->type = $type;

        return $new;
    }

    public function jsonSerialize()
    {
        return $this->type;
    }
}
